Bug 1172603 - Review Request: golang-github-ghodss-yaml - A better way to marshal and unmarshal YAML in Golang
Summary: Review Request: golang-github-ghodss-yaml - A better way to marshal and unmar...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-10 12:56 UTC by Jan Chaloupka
Modified: 2015-08-19 07:56 UTC (History)
2 users (show)

Fixed In Version: golang-github-ghodss-yaml-0-0.6.git588cb43.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-20 08:46:09 UTC
Type: ---
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2014-12-10 12:56:39 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-ghodss-yaml/golang-github-ghodss-yaml.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-ghodss-yaml/golang-github-ghodss-yaml-0-0.1.git92ff9d3.fc20.src.rpm

Description: A better way to marshal and unmarshal YAML in Golang

Fedora Account System Username: jchaloup

Koji: buildroot-override not working right know to use the yaml/v2 but locally building successfully.

$ rpmlint golang-github-ghodss-yaml-0-0.1.git92ff9d3.fc20.src.rpm golang-github-ghodss-yaml-devel-0-0.1.git92ff9d3.fc20.noarch.rpm golang-github-ghodss-yaml.spec
golang-github-ghodss-yaml.src: W: spelling-error Summary(en_US) unmarshal -> Marshall, marshal
golang-github-ghodss-yaml.src: W: spelling-error %description -l en_US unmarshal -> Marshall, marshal
golang-github-ghodss-yaml-devel.noarch: W: spelling-error Summary(en_US) unmarshal -> Marshall, marshal
golang-github-ghodss-yaml-devel.noarch: W: spelling-error %description -l en_US unmarshal -> Marshall, marshal
2 packages and 1 specfiles checked; 0 errors, 4 warnings.

Comment 1 Lokesh Mandvekar 2014-12-10 14:05:13 UTC
- license correct
- specfile conforms to current golang packaging draft
- only sources installed for now

Package approved

Comment 2 Jan Chaloupka 2014-12-10 14:12:50 UTC
New Package SCM Request
=======================
Package Name: golang-github-ghodss-yaml
Short Description: A better way to marshal and unmarshal YAML in Golang
Upstream URL: https://github.com/ghodss/yaml
Owners: jchaloup lsm5 vbatts
Branches: f21 f20 f19 el6
InitialCC: golang-sig

Comment 3 Gwyn Ciesla 2014-12-10 15:46:40 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-12-10 17:04:45 UTC
golang-github-ghodss-yaml-0-0.1.git92ff9d3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-ghodss-yaml-0-0.1.git92ff9d3.fc20

Comment 5 Fedora Update System 2014-12-10 17:05:12 UTC
golang-github-ghodss-yaml-0-0.1.git92ff9d3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-ghodss-yaml-0-0.1.git92ff9d3.fc21

Comment 6 Fedora Update System 2014-12-10 17:05:32 UTC
golang-github-ghodss-yaml-0-0.1.git92ff9d3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-ghodss-yaml-0-0.1.git92ff9d3.el6

Comment 7 Fedora Update System 2014-12-11 06:28:21 UTC
golang-github-ghodss-yaml-0-0.1.git92ff9d3.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 8 Fedora Update System 2014-12-20 08:46:09 UTC
golang-github-ghodss-yaml-0-0.1.git92ff9d3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 9 Fedora Update System 2014-12-20 08:49:55 UTC
golang-github-ghodss-yaml-0-0.1.git92ff9d3.fc21 has been pushed to the Fedora 21 stable repository.

Comment 10 Fedora Update System 2014-12-24 13:13:27 UTC
golang-github-ghodss-yaml-0-0.2.git4fb5c72.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-ghodss-yaml-0-0.2.git4fb5c72.fc20

Comment 11 Fedora Update System 2014-12-24 13:15:08 UTC
golang-github-ghodss-yaml-0-0.2.git4fb5c72.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-ghodss-yaml-0-0.2.git4fb5c72.fc21

Comment 12 Fedora Update System 2014-12-24 13:15:57 UTC
golang-github-ghodss-yaml-0-0.2.git4fb5c72.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-ghodss-yaml-0-0.2.git4fb5c72.el6

Comment 13 Fedora Update System 2015-01-03 18:58:03 UTC
golang-github-ghodss-yaml-0-0.2.git4fb5c72.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2015-01-03 18:58:40 UTC
golang-github-ghodss-yaml-0-0.2.git4fb5c72.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2015-01-09 03:00:49 UTC
golang-github-ghodss-yaml-0-0.2.git4fb5c72.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2015-02-06 15:52:01 UTC
golang-github-ghodss-yaml-0-0.3.git3bc1590.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-ghodss-yaml-0-0.3.git3bc1590.fc20

Comment 17 Fedora Update System 2015-02-06 15:53:38 UTC
golang-github-ghodss-yaml-0-0.3.git3bc1590.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-ghodss-yaml-0-0.3.git3bc1590.fc21

Comment 18 Fedora Update System 2015-02-06 15:55:20 UTC
golang-github-ghodss-yaml-0-0.3.git3bc1590.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-ghodss-yaml-0-0.3.git3bc1590.el6

Comment 19 Fedora Update System 2015-02-17 08:04:42 UTC
golang-github-ghodss-yaml-0-0.3.git3bc1590.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2015-02-17 08:05:21 UTC
golang-github-ghodss-yaml-0-0.3.git3bc1590.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2015-02-23 16:11:30 UTC
golang-github-ghodss-yaml-0-0.3.git3bc1590.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2015-02-25 21:37:51 UTC
golang-github-ghodss-yaml-0-0.4.git588cb43.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/golang-github-ghodss-yaml-0-0.4.git588cb43.fc20

Comment 23 Fedora Update System 2015-02-25 21:39:13 UTC
golang-github-ghodss-yaml-0-0.4.git588cb43.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-ghodss-yaml-0-0.4.git588cb43.fc21

Comment 24 Fedora Update System 2015-02-25 21:39:31 UTC
golang-github-ghodss-yaml-0-0.4.git588cb43.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-ghodss-yaml-0-0.4.git588cb43.el6

Comment 25 Fedora Update System 2015-03-15 00:58:01 UTC
golang-github-ghodss-yaml-0-0.4.git588cb43.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2015-07-31 12:35:28 UTC
golang-github-ghodss-yaml-0-0.6.git588cb43.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-ghodss-yaml-0-0.6.git588cb43.fc21

Comment 27 Fedora Update System 2015-08-19 07:56:39 UTC
golang-github-ghodss-yaml-0-0.6.git588cb43.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.